cURL
curl --request POST \
--url https://gateway.7exchange.io/customer/1.0.0/organization/createBulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--header 'token: <token>' \
--data '
[
{
"id": "<string>",
"countryOfCorporation": "<string>",
"countryCode": "<string>",
"email": "<string>",
"legalName": "<string>",
"isTradingNameExist": true,
"saveAsRegisteredAddress": true,
"tradingName": "<string>",
"sepaId": "<string>",
"industryType": "<string>",
"status": "<string>",
"nextCheckDate": "<string>",
"sourceOfIncomingFund": "<string>",
"purposeOfAccount": "<string>",
"expectedAnnualActivityOfPlatform": "<string>",
"registrationNumber": "<string>",
"taxIdentificationNumber": "<string>",
"taxRegistrationNumber": 123,
"dateOfIncorporation": "<string>",
"website": "<string>",
"businessSector": "<string>",
"rangeOfServicesOrGoods": "<string>",
"businessOwnerDetailCheck": "<string>",
"supportingDocumentationCheck": "<string>",
"kybCheck": "<string>",
"sanctionCheck": "<string>",
"pepCheck": "<string>",
"countryList": {
"senderList": "<string>",
"receiveList": "<string>"
},
"relatedTo": [
{
"relationType": "<string>",
"organizationId": "<string>"
}
],
"transactionPredict": {
"monthlyVolumeRange": 123,
"numberOfMonthlyPayment": 123,
"maxSinglePayment": 123
},
"address": [
{
"addressPurpose": "<string>",
"address": [
{
"country": "<string>",
"area": "<string>",
"region": "<string>",
"city": "<string>",
"street": "<string>",
"building": "<string>",
"apartment": "<string>",
"entrance": "<string>",
"floor": "<string>",
"doorNumber": "<string>",
"addressone": "<string>",
"addresstwo": "<string>",
"postal": "<string>",
"geoPosition": {
"latitude": 123,
"longitude": 123,
"altitude": 123
},
"alternative": {
"word1": "<string>",
"word2": "<string>",
"word3": "<string>"
},
"relatedToAddress": {
"relationType": "<string>"
}
}
]
}
],
"telephoneNumbers": [
{
"phoneType": "<string>",
"operator": "<string>",
"encoding": "<string>",
"country": "<string>",
"number": "<string>",
"purpose": "<string>"
}
],
"documents": [
{
"purpose": [
"<string>"
],
"name": "<string>",
"documentType": [
"<string>"
],
"location": "<string>",
"verificationResponse": "<string>",
"status": [
"<string>"
],
"metadata": [
{
"name": "<string>",
"type": "<string>",
"value": "<string>"
}
]
}
],
"businessToBusinessMap": [
{
"relationType": "<string>",
"tenantId": "<string>",
"organizationId": "<string>",
"RelatingorganizationId": "<string>"
}
],
"businessToCustomerMap": [
{
"relationType": "<string>",
"tenantId": "<string>",
"personid": "<string>",
"organizationId": "<string>"
}
],
"secretquestion": [
{
"question": "<string>",
"answer": "<string>"
}
],
"additionalData": [
{
"key": "<string>",
"value": "<string>"
}
]
}
]
'import requests
url = "https://gateway.7exchange.io/customer/1.0.0/organization/createBulk"
payload = [
{
"id": "<string>",
"countryOfCorporation": "<string>",
"countryCode": "<string>",
"email": "<string>",
"legalName": "<string>",
"isTradingNameExist": True,
"saveAsRegisteredAddress": True,
"tradingName": "<string>",
"sepaId": "<string>",
"industryType": "<string>",
"status": "<string>",
"nextCheckDate": "<string>",
"sourceOfIncomingFund": "<string>",
"purposeOfAccount": "<string>",
"expectedAnnualActivityOfPlatform": "<string>",
"registrationNumber": "<string>",
"taxIdentificationNumber": "<string>",
"taxRegistrationNumber": 123,
"dateOfIncorporation": "<string>",
"website": "<string>",
"businessSector": "<string>",
"rangeOfServicesOrGoods": "<string>",
"businessOwnerDetailCheck": "<string>",
"supportingDocumentationCheck": "<string>",
"kybCheck": "<string>",
"sanctionCheck": "<string>",
"pepCheck": "<string>",
"countryList": {
"senderList": "<string>",
"receiveList": "<string>"
},
"relatedTo": [
{
"relationType": "<string>",
"organizationId": "<string>"
}
],
"transactionPredict": {
"monthlyVolumeRange": 123,
"numberOfMonthlyPayment": 123,
"maxSinglePayment": 123
},
"address": [
{
"addressPurpose": "<string>",
"address": [
{
"country": "<string>",
"area": "<string>",
"region": "<string>",
"city": "<string>",
"street": "<string>",
"building": "<string>",
"apartment": "<string>",
"entrance": "<string>",
"floor": "<string>",
"doorNumber": "<string>",
"addressone": "<string>",
"addresstwo": "<string>",
"postal": "<string>",
"geoPosition": {
"latitude": 123,
"longitude": 123,
"altitude": 123
},
"alternative": {
"word1": "<string>",
"word2": "<string>",
"word3": "<string>"
},
"relatedToAddress": { "relationType": "<string>" }
}
]
}
],
"telephoneNumbers": [
{
"phoneType": "<string>",
"operator": "<string>",
"encoding": "<string>",
"country": "<string>",
"number": "<string>",
"purpose": "<string>"
}
],
"documents": [
{
"purpose": ["<string>"],
"name": "<string>",
"documentType": ["<string>"],
"location": "<string>",
"verificationResponse": "<string>",
"status": ["<string>"],
"metadata": [
{
"name": "<string>",
"type": "<string>",
"value": "<string>"
}
]
}
],
"businessToBusinessMap": [
{
"relationType": "<string>",
"tenantId": "<string>",
"organizationId": "<string>",
"RelatingorganizationId": "<string>"
}
],
"businessToCustomerMap": [
{
"relationType": "<string>",
"tenantId": "<string>",
"personid": "<string>",
"organizationId": "<string>"
}
],
"secretquestion": [
{
"question": "<string>",
"answer": "<string>"
}
],
"additionalData": [
{
"key": "<string>",
"value": "<string>"
}
]
}
]
headers = {
"tenantId": "<tenantid>",
"token": "<token>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
token: '<token>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify([
{
id: '<string>',
countryOfCorporation: '<string>',
countryCode: '<string>',
email: '<string>',
legalName: '<string>',
isTradingNameExist: true,
saveAsRegisteredAddress: true,
tradingName: '<string>',
sepaId: '<string>',
industryType: '<string>',
status: '<string>',
nextCheckDate: '<string>',
sourceOfIncomingFund: '<string>',
purposeOfAccount: '<string>',
expectedAnnualActivityOfPlatform: '<string>',
registrationNumber: '<string>',
taxIdentificationNumber: '<string>',
taxRegistrationNumber: 123,
dateOfIncorporation: '<string>',
website: '<string>',
businessSector: '<string>',
rangeOfServicesOrGoods: '<string>',
businessOwnerDetailCheck: '<string>',
supportingDocumentationCheck: '<string>',
kybCheck: '<string>',
sanctionCheck: '<string>',
pepCheck: '<string>',
countryList: {senderList: '<string>', receiveList: '<string>'},
relatedTo: [{relationType: '<string>', organizationId: '<string>'}],
transactionPredict: {monthlyVolumeRange: 123, numberOfMonthlyPayment: 123, maxSinglePayment: 123},
address: [
{
addressPurpose: '<string>',
address: [
{
country: '<string>',
area: '<string>',
region: '<string>',
city: '<string>',
street: '<string>',
building: '<string>',
apartment: '<string>',
entrance: '<string>',
floor: '<string>',
doorNumber: '<string>',
addressone: '<string>',
addresstwo: '<string>',
postal: '<string>',
geoPosition: {latitude: 123, longitude: 123, altitude: 123},
alternative: {word1: '<string>', word2: '<string>', word3: '<string>'},
relatedToAddress: {relationType: '<string>'}
}
]
}
],
telephoneNumbers: [
{
phoneType: '<string>',
operator: '<string>',
encoding: '<string>',
country: '<string>',
number: '<string>',
purpose: '<string>'
}
],
documents: [
{
purpose: ['<string>'],
name: '<string>',
documentType: ['<string>'],
location: '<string>',
verificationResponse: '<string>',
status: ['<string>'],
metadata: [{name: '<string>', type: '<string>', value: '<string>'}]
}
],
businessToBusinessMap: [
{
relationType: '<string>',
tenantId: '<string>',
organizationId: '<string>',
RelatingorganizationId: '<string>'
}
],
businessToCustomerMap: [
{
relationType: '<string>',
tenantId: '<string>',
personid: '<string>',
organizationId: '<string>'
}
],
secretquestion: [{question: '<string>', answer: '<string>'}],
additionalData: [{key: '<string>', value: '<string>'}]
}
])
};
fetch('https://gateway.7exchange.io/customer/1.0.0/organization/createBulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reason": "<string>",
"path": "<string>",
"method": "<string>",
"message": "<string>",
"timestamp": "<string>",
"status": 123
}"<unknown>"Organization
Create Organization Bulk
POST
/
organization
/
createBulk
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

